List infractions
curl --request GET \
--url https://api.fincle.com.br/infractions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fincle.com.br/infractions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fincle.com.br/infractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/infractions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/infractions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fincle.com.br/infractions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/infractions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "clx9d5n6s0009qz0a3m4n5o6p",
"externalId": "INF-2026-0009123",
"status": "OPEN",
"type": "FRAUD",
"amount": 19700,
"reportedBy": "DEBITED_PARTICIPANT",
"reportDetails": "The payer states that the transaction is not recognized.",
"analysisResults": null,
"analysisDetails": null,
"message": "Prazo de resposta de 7 dias corridos a partir da abertura.",
"transactionIds": [
"clx9b3k2p0007qz0a7h8i9j0k"
],
"defenses": [
{
"id": 3312,
"defenseDetails": "Proof of service delivery issued on 2026-09-05, with record of the payer's acceptance.",
"fileCount": 2,
"createdAt": "2026-09-11T16:20:00.000Z"
}
],
"createdAt": "2026-09-10T09:14:00.000Z",
"updatedAt": "2026-09-11T16:20:00.000Z"
}
],
"pagination": {
"page": 1,
"pageSize": 10,
"total": 1,
"totalPages": 1
}
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Infractions and MED
List infractions
Lists the infractions filed against transactions of the account, with the disputed amount and the outcome of the analysis.
GET
/
infractions
List infractions
curl --request GET \
--url https://api.fincle.com.br/infractions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fincle.com.br/infractions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fincle.com.br/infractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/infractions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/infractions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fincle.com.br/infractions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/infractions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"id": "clx9d5n6s0009qz0a3m4n5o6p",
"externalId": "INF-2026-0009123",
"status": "OPEN",
"type": "FRAUD",
"amount": 19700,
"reportedBy": "DEBITED_PARTICIPANT",
"reportDetails": "The payer states that the transaction is not recognized.",
"analysisResults": null,
"analysisDetails": null,
"message": "Prazo de resposta de 7 dias corridos a partir da abertura.",
"transactionIds": [
"clx9b3k2p0007qz0a7h8i9j0k"
],
"defenses": [
{
"id": 3312,
"defenseDetails": "Proof of service delivery issued on 2026-09-05, with record of the payer's acceptance.",
"fileCount": 2,
"createdAt": "2026-09-11T16:20:00.000Z"
}
],
"createdAt": "2026-09-10T09:14:00.000Z",
"updatedAt": "2026-09-11T16:20:00.000Z"
}
],
"pagination": {
"page": 1,
"pageSize": 10,
"total": 1,
"totalPages": 1
}
}{
"success": false,
"message": "Token inválido ou expirado"
}{
"success": false,
"message": "name: Nome é obrigatório"
}{
"success": false,
"message": "Muitas requisições. Tente novamente em breve."
}{
"success": false,
"message": "Erro interno do servidor"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Requested page, starting at 1.
Required range:
x >= 1Number of items per page (maximum 100).
Required range:
1 <= x <= 100Filters by one or more statuses; repeat the parameter to add statuses.
Available options:
OPEN, CANCELLED, ACKNOWLEDGED, DEFENDED, ANSWERED, WAITING_ADJUSTMENTS, CLOSED, WAITING_PSP